use aws_sdk_sqs::{error::SendMessageError, types::SdkError};

use super::service::SendMessageResponse;
use crate::{aws::is_retriable_error, sinks::util::retries::RetryLogic};

#[derive(Debug, Clone)]
pub(super) struct SqsRetryLogic;

impl RetryLogic for SqsRetryLogic {
    type Error = SdkError<SendMessageError>;
    type Response = SendMessageResponse;

    fn is_retriable_error(&self, error: &Self::Error) -> bool {
        is_retriable_error(error)
    }
}
